# AIS_KindOfUnit.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | AIS_KindOfUnit { AIS_TOU_LENGTH, AIS_TOU_SURFACE, AIS_TOU_VOLUME, AIS_TOU_PLANE_ANGLE, AIS_TOU_SOLID_ANGLE, AIS_TOU_MASS, AIS_TOU_FORCE, AIS_TOU_TIME }
| Declares which entities in an opened local context are to be cleared of mode settings. Temporary graphic presentations such as those for sub-shapes, for example, are only created for the selection process. By means of these enumerations, they can be cleared from local context. . More...

## Enumeration Type Documentation

enum AIS_KindOfUnit

Enumeration values:

  AIS_TOU_LENGTH |
  AIS_TOU_SURFACE |
  AIS_TOU_VOLUME |
  AIS_TOU_PLANE_ANGLE |
  AIS_TOU_SOLID_ANGLE |
  AIS_TOU_MASS |
  AIS_TOU_FORCE |
  AIS_TOU_TIME |